[arch-commits] Commit in automake/repos (3 files)

Allan McRae allan at archlinux.org
Fri Apr 27 04:57:00 UTC 2012


    Date: Friday, April 27, 2012 @ 00:56:59
  Author: allan
Revision: 157329

archrelease: copy trunk to testing-any

Added:
  automake/repos/testing-any/
  automake/repos/testing-any/PKGBUILD
    (from rev 157328, automake/trunk/PKGBUILD)
  automake/repos/testing-any/automake.install
    (from rev 157328, automake/trunk/automake.install)

------------------+
 PKGBUILD         |   34 ++++++++++++++++++++++++++++++++++
 automake.install |   22 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

Copied: automake/repos/testing-any/PKGBUILD (from rev 157328, automake/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2012-04-27 04:56:59 UTC (rev 157329)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=automake
+pkgver=1.12
+pkgrel=1
+pkgdesc="A GNU tool for automatically creating Makefiles"
+arch=('any')
+license=('GPL')
+url="http://www.gnu.org/software/automake"
+groups=('base-devel')
+depends=('perl' 'bash')
+makedepends=('autoconf')
+install=automake.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('5fc40c032ceaebecd1588b8d125b4781'
+         'c7298222918ea44c4dce97363173a02d')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: automake/repos/testing-any/automake.install (from rev 157328, automake/trunk/automake.install)
===================================================================
--- testing-any/automake.install	                        (rev 0)
+++ testing-any/automake.install	2012-04-27 04:56:59 UTC (rev 157329)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(automake.info automake.info-1 automake.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list